Anker Links in Link Wizard not translated correctly
2020-11-10 06:52 - Philipp Parzer
Description

| have a page A in the default language and a translated page B in 'Free Mode'.
Page A has a Textmedia content element with an anker link to a content element on the same page.
The content element is selected via Link Wizard - it shows all records from page A.

But when | translate the Textmedia element to page B, the UID of the selected content element on page A doesn't get updated.
Furthermore | don't have the possibility to change the selection of the element, because the elements in the Link Wizard on page B
are the ones from page A.

Shouldn't see the editor for page B the content elements on page B in the Link Wizard?

Related issues:
Related to TYPO3 Core - Bug #88690: Translated content elements are not avail... New 2019-07-05

History

#1 - 2020-11-19 17:20 - Sybille Peters

- Category set to Localization

The same problem was reported by our editors.

If "Connected mode" is used "instead of free" this would work, but not if the page is translated using "free mode" as you wrote.
#2 - 2021-05-19 10:52 - Simon Gilli

- Status changed from New to Accepted

- Priority changed from Should have to Must have

#3 - 2021-05-19 11:50 - Tobias Gaertner

That's already a problem in TYPOS3 9LTS.

We have to split up thinks a bit here.

First of all, conceptional its not possible to "translate" a content in free mode (while it is technically possible in BE, FE will never consider the
connection in free mode!) - so its (in theory) impossible to update the link - practically it could be done in the BE if the record gets translated with
"translate" function. Question here if and how this should be handled.

The other thing is setting a section link in a translation - is is well described by the author. It should be possible to select translated records (only ?) as

target if the target page is in fallbackType: free - maybe this could work for all modes, to always store the translated uid?
On the other hand, it should maybe still possible to link to the default language if the target page is not translated?

#4 - 2021-10-31 12:21 - Alexander Stehlik

- Related to Bug #88690: Translated content elements are not available in linkbrowser of the ckeditor in free mode added
